Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I tried to install and use the new Tkz-fct package. The installation was OK, MikTex Package Manager says that I've successfully installed the package but if I try the most easy example from the userguide (from 20. January 2011) I got the message:

! I can't find file `tikzlibrary'.

and no file is produced...

Could anyone help me? Thank much!

share|improve this question

2 Answers 2

up vote 3 down vote accepted

Check that at least TikZ/PGF 2.10 is installed on your system. This is required for tkz-fct. If necessary, update TikZ/PGF using the MiKTeX package manager.

share|improve this answer
    
@user3097: You can check the version by added \listfiles to your preamble and look at listing in the output or the log file. –  Martin Scharrer Feb 13 '11 at 14:53
    
@Stefan -- Now I made a total update in MikTeX. I can draw tikzpictures, but there won't be any curve (function) produced. I just get the Warning: Package pgf Warning: Plot data file `LaTeX1.tkzfct.table' not found. –  Daniel Feb 13 '11 at 17:06
    
@Daniel: ensure that the update of MiKTeX also brings the latest TikZ/pgf. Is it the case? Otherwise update specifically the pgf/TikZ package after that distribution update. If the problem persists, please add a minimal example to your question. –  Stefan Kottwitz Feb 13 '11 at 17:19
    
@Stefan in MikTeX Package manager I see a package named pgf. It is packaged on 2010-11-01 I installed it on 2011-02-13 But I don't find any packages named pgf/tikz, or tikz. What I can see are only: tikz-3dplot, tikz-qtree, tikz-timing, tikz-inet and tkz-tab, tkz-euclide, tkz-base, tkz-fct, tkz-orm, tkz-linknodes, tkz-doc. So theese are the Packages I see in the package manager after filtering the name tikz and tkz. I think I don't really understand how should I make an update ordinary... :( –  Daniel Feb 13 '11 at 17:38
    
pgf is the name of the MiKTeX package, you've got the current version now. Try to post a minimal example which produces the problem. –  Stefan Kottwitz Feb 13 '11 at 17:40

I'm the author of this package. You need pgf 2.1 and gnuplot if you want to work with tkz-fct. I think your problem comes from gnuplot. I'm not a great expert of MikTeX but I explain in the documentation how to install gnuplot on MikTeX (but sorry, the documentation is only in French actually).

  1. You need to install gnuplot (I think you need to rename wgnuplot to gnuplot)
  2. You need to indicate the path for gnuplot for example if gnuplot is in C:\gnuplot then you need to add C:\gnuplot\bin\ in the environment variables (something like this but I'm not an expert of Windows also .. generally I'm not an expert!!)
  3. Now you need to add the option --enable-write18 to the compilation script (sometimes this option is --shell-escape). I think you can find an answer for all these kinds of problems.
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.